# POST - Unblock Card

### Un Block A Card

***

### End point

```markup
https://api.up.money/cards/unblock/{cardId}
```

### Headers

<details>

<summary>Security</summary>

**REQUEST BODY SCHEMA: application/json**

&#x20;:closed\_lock\_with\_key: **API SECRET: x-secret**

Add `YWJjMTIzIQ==` in  `x-secret` in headers.  &#x20;

**Header parameter name:** `x-secret`

***

&#x20;:lock\_with\_ink\_pen:  **HTTP:** `Authorization-key`

The authentication token representing the user. This will be included in the login response object as `token`.&#x20;

**Header parameter name:** `Authorization-key`

</details>

***

### **Path Parameters**

***

<table><thead><tr><th width="223"></th><th></th></tr></thead><tbody><tr><td>cardId <mark style="color:red;">(required)</mark><br></td><td><code>string</code> <code>^[0-9]+$</code><br>The unique identifier of a card.</td></tr></tbody></table>

***

### Sample Request

***

```javascript
curl --location --request POST 'https://api.up2.money/cards/unblock/{cardId}' \
--header 'x-secret: YWJjMTIzIQ==' \
--header 'Authorization-key: YOUR_AUTHORIZATION_KEY' \
--data ''
```

***

### Sample Response

***

{% tabs %}
{% tab title="Success - 204" %}
No content
{% endtab %}

{% tab title="Error - 400" %}

```json
{
  "message": "string",
  "syntaxErrors": {
    "invalidFields": [
      {
        "params": [
          "string"
        ],
        "fieldName": "string",
        "error": "REQUIRED"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

### Response Status

***

<mark style="color:green;">**204 Success - No Content.**</mark>

<details>

<summary><mark style="color:red;"><strong>400 Bad Request Error - Your request is invalid.</strong></mark></summary>

errorCode: Enum:  `"REQUIRED"` `"HAS_TEXT"` `"REQUIRES"` `"SIZE"` `"RANGE"` `"IN"` `"NOT_IN" "REGEX"` `"EXACTLY"` `"AT_LEAST"` `"AT_MOST"` `"ALL_OR_NONE"`

</details>

<mark style="color:red;">**401 Unauthorized - Your credentials or access token are invalid.**</mark>

<mark style="color:red;">**403 Forbidden - Access to the requested resource or action is forbidden.**</mark>

<mark style="color:red;">**404 Not found - The requested resource couldn't be found.**</mark>

<details>

<summary><mark style="color:red;">409 Conflict</mark></summary>

errorCode: Enum:  `"INSTRUMENT_ALREADY_BLOCKED"` `"INSTRUMENT_DESTROYED"` `"INSTRUMENT_MARKED_LOST_STOLEN"`

</details>

<mark style="color:red;">**429 Too many requests.**</mark>

<mark style="color:red;">**500 Internal Server Error - There is a problem with the server. Please try again later.**</mark>

<mark style="color:red;">**503 Service Unavailable - We're temporarily offline for maintenance. Please try again later.**</mark>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.up2.money/08.01/card-issuing/post-unblock-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
